Aller au contenu

Répondre à une mise en attente

POST/api/public/v1/holds/{native_tool_use_id}/answer

Fenêtre de terminal
curl --fail-with-body -X POST 'https://app.openlatch.ai/api/public/v1/holds/<native_tool_use_id>/answer' \
-H "Authorization: Bearer $OPENLATCH_API_KEY" \
-H 'Content-Type: application/json' \
-d '{"decision":"approve"}'
Rôle dans l’organisationCe point de terminaison
ownerAutorisé
adminAutorisé
editorAutorisé
viewerNon autorisé

Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.

Portée de clé d’API : triage:write

ParamètreTypeDescription
native_tool_use_idstringObligatoire.
ParamètreTypeDescription
Idempotency-Keystring or nullOptional. Makes the request safe to retry: the same key and the same request, within 24 hours, returns the stored response with Idempotent-Replayed: true and runs once.
ChampTypeDescription
decisionstring — one of approve, rejectObligatoire.
ChampTypeDescription
dataobjectObligatoire.
data.action_summarystring or null
data.agent_idstring or null
data.decided_atstring (date-time) or null
data.effectsarray of object
data.idstringObligatoire.
data.native_tool_use_idstringObligatoire.
data.policy_public_idstring or null
data.requested_atstring (date-time)Obligatoire.
data.statestringObligatoire.
data.timeout_atstring (date-time)Obligatoire.
{
"data": {
"action_summary": "string",
"agent_id": "agt_01jbwa2k1vfrn9y42xhgxhmzj2",
"decided_at": "2026-01-15T14:32:05Z",
"effects": [
{}
],
"id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"native_tool_use_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"policy_public_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"requested_at": "2026-01-15T14:32:05Z",
"state": "string",
"timeout_at": "2026-01-15T14:32:05Z"
}
}